Rebase a branch onto main
Pull changes from a source branch (defaults to main) into this branch as a new version, preserving this branch’s own changes on conflicts.
Path parameters
agent_id
The id of an agent. This is returned on agent creation.
branch_id
Unique identifier for the source branch to merge from.
Headers
xi-api-key
Query parameters
source_branch_id
The ID of the branch to pull changes from. Defaults to the agent's main branch.
Request
This endpoint expects an object.
Response
Successful Response
Errors
422
Branches Rebase Request Unprocessable Entity Error